
QGIS Application - Bug report #7405

Feature count shows "0" when the "rotation" or the "scale size field" are used

2013-03-20 02:34 PM - Krischelle Love

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16372

Description

When a rotation field is specified for a symbol and the layer is set to show feature count, the symbol gets rotated but the feature count

drops to zero.

Associated revisions

Revision b7ef48ae - 2013-05-15 08:28 PM - Matthias Kuhn

[Fix #7405] Graduated renderer: Feature count 0 with scale or rotation

Revision 2c7eff70 - 2013-05-16 04:22 PM - Marco Hugentobler

Merge pull request #592 from matthias-kuhn/fix-7405

[Fix #7405] Graduated renderer: Feature count 0 with scale or rotation

History

#1 - 2013-03-22 07:29 AM - Giovanni Manghi

- Affected QGIS version changed from 1.8.0 to master

- Target version set to Version 2.0.0

- Priority changed from Normal to Severe/Regression

- Subject changed from Rotation Field Should Not Set Feature Count to Zero to Feature count shows "0" when the "rotation" or the "scale size field" are 

used

This is confirmed also on master, when the rotation or size scale field are used, then the number of features of each class category become 0.

#2 - 2013-05-16 03:54 AM - Matthias Kuhn

- Status changed from Open to In Progress

This is only valid for the graduated renderer, true?

A pull request for this is pending.

https://github.com/qgis/Quantum-GIS/pull/592
https://github.com/qgis/Quantum-GIS/pull/592


#3 - 2013-05-16 07:22 AM - Marco Hugentobler

- Status changed from In Progress to Closed

Fixed in changeset commit:"2c7eff708846d1386576d83f38d702e89b9d8b1b".
